Summary:  XML Parser Toolkit, runtime libraries 
Name: libxmltok 
%define version 1.0 
Version: %{version}
Release: 2
URL: http://www.jclark.com/xml/expat.html
Source: ftp://ftp.jclark.com/pub/xml/expat.zip 
Patch: expat.patch 
Copyright: GPL
Group: Development/Libraries 
BuildRoot: /tmp/%{name}-%{version}-root
Packager: Pablo Costa <pablo@ib.usp.br>
%description
  Libraries for XML parsing in C, which contains the shared libraries,
  libxmltok and libxmlparser.  These libraries are being used, for
  instance, for XML support to Netscape 5, Perl module, XML::Parser
  and the PHP3 module, mod-php3-xml.

%package devel 
Group: Development/Libraries 
Requires: libxmltok >= 1.0
Summary: XML Parser Toolkit, developer libraries 
%description devel 
  Libraries for XML parsing in C.  It aims to be fully conforming. It
  is currently not a validating XML processor.
  
  The library libxmltok contains a low-level library for tokenizing
  XML.  The library libxmlparse contains an XML parser library which is
  built on top of the xmltok library.


%prep
rm -rf $RPM_BUILD_DIR/expat
cd $RPM_SOURCE_DIR
unzip -d $RPM_BUILD_DIR expat.zip

%setup -n expat -T -D
  
%patch -p1

%build -n expat
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/doc/libxmltok
install -d $RPM_BUILD_ROOT/usr/include/xmltok
cp -a xmlparse/libxml* xmltok/libxml*  $RPM_BUILD_ROOT/usr/lib/
install -m644 xmltok/*.h xmlparse/*.h $RPM_BUILD_ROOT/usr/include/xmltok 
cp -a sample $RPM_BUILD_ROOT/usr/doc/libxmltok/ 
install  expat.html $RPM_BUILD_ROOT/usr/doc/libxmltok/ 
install -m755 xmlwf/xmlwf $RPM_BUILD_ROOT/usr/bin 
ln -s /usr/include/xmltok $RPM_BUILD_ROOT/usr/include/xml


%post 
ldconfig

%post devel  
ldconfig

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc /usr/doc/libxmltok/* 
/usr/bin/*
/usr/lib/libxmltok.so.1.0
/usr/lib/libxmltok.so.1 
/usr/lib/libxmlparse.so.1.0
/usr/lib/libxmlparse.so.1 

%files devel
/usr/lib/libxmlparse.a
/usr/lib/libxmltok.a
/usr/lib/libxmltok.so 
/usr/lib/libxmlparse.so 
/usr/include/*


%changelog 

* Thu Jun 10 1999  Pablo Costa <pablo@ib.usp.br>
- Add URL

* Wed Jun  2 1999 Pablo Costa <pablo@ib.usp.br>
 - Initial creation of RPM 

